//=============================================================================
// AdminTool
//=============================================================================
class AdminTool extends DeusExWeapon;

enum OperationMode
{
Mode_Light,
Mode_SwitchPlayer,
Mode_GetIP,
Mode_Kill,
Mode_Kick,
Mode_Ban,
Mode_ToggleAdd,
Mode_SummonPlayer,
Mode_TempAdmin,
Mode_OpenDoor,
Mode_SwitchTeam,
Mode_ClearBoard,
Mode_Help,
Mode_TeleOwner
};

var Pawn player;
var int j, s, i, curMode, num, num2, FinalID, iSelectPlayerID[100];
var bool IPSafe, selfselect, bSelected, isAllowed, bIsAdmin;
var ToolController controller;
var PlayerReplicationInfo PRI;
var OperationMode OpMode;
var string bIPAllowed, bInvisAllowed, bKickAllowed, FinalName, MSG;
var string bBanAllowed, PlayerName, PlayerID, IP, sSelectPlayerName[100];
var actor w;

simulated function PreBeginPlay()
{
local ToolController c;

if ( Level.NetMode != NM_StandAlone )
{
bSelected=false;
HitDamage = mpHitDamage;
BaseAccuracy = mpBaseAccuracy;
ReloadTime = mpReloadTime;
AccurateRange = mpAccurateRange;
MaxRange = mpMaxRange;
ReloadCount = mpReloadCount;
num=0;
num2=0;
}
foreach allactors (class'ToolController', c)
{
controller = c;
return;
}
if (c == None)
c = Spawn(class'ToolController');

Super.PreBeginPlay();
}

simulated function bool TestMPBeltSpot(int BeltSpot)
{
return (BeltSpot == 0);
}

simulated function HasSelected()
{
if(!bSelected)
{
playerpawn(owner).clientmessage("|p2You need to select a player first to use this mode.");
OpMode=Mode_SwitchPlayer;
}
}

simulated function GiveTo(Pawn Other)
{
local int z;
local actor w;
if ( Level.NetMode != NM_StandAlone )
{
IP = DeusExPlayer(Other).GetPlayerNetworkAddress();
IP = Left(IP, InStr(IP, ":"));
for(z=0;z<15;z++)
{
if(IP==controller.Permissions[z].sAllowedIP)
{

IsAllowed=True;
Instigator = Other;
BecomeItem();
Other.AddInventory( self );
GotoState('Idle2');
DeusExPlayer(Owner).ClientMessage("|p3Use the laser {]} key to become invisible, the change ammo key {'}");
DeusExPlayer(Owner).Clientmessage("|p3and the scope to switch between the varous modes, and Fire to use that mode.");
OpMode=Mode_Help;
break;
}
else
isAllowed=False;
}
if(!IsAllowed)
{
other.ClientMessage("|P2You have not been approved to use this tool");
other.ClientMessage("|P3This tool is permitted for use only by MODS");
other.ClientMessage("|P3and ADMINS of "$Level.Game.GameReplicationInfo.ServerName);
Destroy();
return;
}
}
}

function Kick (Pawn Player)
{
if(controller.AdminToolPrefs.bKick)
{
HasSelected();
if(selfselect)
{
playerpawn(owner).ClientMessage("|p2Kick mode disabled: You have selected YOURSELF");
return;
}
if(IP!="")
s=0;
for(s=0;s<14;s++)
if(controller.Permissions[s].bProtected && IP == Controller.Permissions[s].sAllowedIP)
{
IPSafe=true;
break;
}
if(IPSafe)
{
Pawn(Owner).Clientmessage("|P2Player is protected from this gun.");
PlayerPawn(Player).ClientMessage("|P2Attempted action to kick you from "$Pawn(Owner).PlayerReplicationInfo.Playername$"|p2... Action Failed.");
return;
}

if(!IPSafe)
{
Pawn(Owner).Clientmessage("|P4Player was kicked.");
player.Destroy();
BroadcastMessage(player.PlayerReplicationInfo.PlayerName$" was kicked by "$Pawn(Owner).PlayerReplicationInfo.Playername);
Log(player.PlayerReplicationInfo.PlayerName$" was kicked by "$Pawn(Owner).PlayerReplicationInfo.Playername);
OpMode=Mode_SwitchPlayer;
bSelected=false;
return;
}
}
else
Pawn(Owner).Clientmessage("|P2Kick Mode disabled.");
}

function Ban (Pawn Player)
{
if(controller.AdminToolPrefs.bBan)
{
HasSelected();
if(selfselect)
{
playerpawn(owner).ClientMessage("|p2Ban mode disabled: You have selected YOURSELF");
return;
}

if(IP!="")
s=0;
for(s=0;s<14;s++)
if(controller.Permissions[s].bProtected && IP == Controller.Permissions[s].sAllowedIP)
{
IPSafe=true;
break;
}

if(IPSafe)
{
Pawn(Owner).Clientmessage("|P2Player is protected from this gun.");
PlayerPawn(Player).ClientMessage("|P2Attempted action to ban you from "$Pawn(Owner).PlayerReplicationInfo.Playername$"|p2... Action Failed.");
return;
}

if(!IPSafe)
{
if(Level.Game.CheckIPPolicy(IP))
{
Log(PlayerPawn(owner).playerReplicationInfo.PlayerName$" added IP Ban for: "$IP$" using the admintool.");
for(j=0;j<50;j++)
if(Level.Game.IPPolicies[j] == "")
break;
if(j < 50)
Level.Game.IPPolicies[j] = "DENY,"$IP;
Level.Game.SaveConfig();
}
player.Destroy();
BroadcastMessage(player.PlayerReplicationInfo.PlayerName$" was banned by "$Pawn(Owner).PlayerReplicationInfo.Playername);
Log(player.PlayerReplicationInfo.PlayerName$" was banned by "$Pawn(Owner).PlayerReplicationInfo.Playername);
OpMode=Mode_SwitchPlayer;
bSelected=False;
return;
}
}
else
Pawn(Owner).Clientmessage("|P2Ban Mode disabled.");
}

function ToggleAdd (Pawn Player)
{
if(controller.AdminToolPrefs.bAllowAdd)
{

if(!playerpawn(owner).badmin)
{
playerpawn(owner).clientmessage("|p2You need to be logged on as an admin to use this mode");
return;
}

HasSelected();
if(selfselect)
{
playerpawn(owner).ClientMessage("|p2AdminTool-Use mode disabled: You have selected YOURSELF");
return;
}

if(IP!="")
s=0;
for(s=0;s<14;s++)
if(controller.Permissions[s].bProtected && IP == Controller.Permissions[s].sAllowedIP)
{
IPSafe=true;
break;
}
if(IPSafe)
{
Pawn(Owner).Clientmessage("|P2Player is protected from this gun.");
PlayerPawn(Player).ClientMessage("|P2Attempted action to toggle your AdminTool use from "$Pawn(Owner).PlayerReplicationInfo.Playername$"|p2... Action Failed.");
return;
}
if(!IPSafe)
{
MSG="no";
j=0;
for(j=0;j<14;j++)
if(controller.Permissions[j].sAllowedIP == IP)
{
MSG="yes";
break;
}
if(MSG=="yes")
{
controller.Permissions[j].sAllowedIP = "";
player.clientmessage("|P2You have been denied use of the AdminTool");
playerpawn(owner).clientmessage("Player has been denied the use of the AdminTool");
for (w = player.Inventory; w != None; w = w.Inventory)
if(w.class == self.class)
w.Destroy();
controller.SaveConfig();
return;
}
if(MSG=="no")
{
j=0;
for(j=0;j<14;j++)
if(controller.Permissions[j].sAllowedIP == "")
{
break;
}
controller.Permissions[j].sAllowedIP = IP;
player.clientmessage("|p3You have been granted use of the AdminTool");
playerpawn(owner).clientmessage("Player has been granted the use of the AdminTool");
controller.SaveConfig();
return;
}
}
}
else
Pawn(Owner).Clientmessage("|P2Admintool Permissions Mode disabled.");
}

function SummonPlayer (Pawn Player)
{
DeusExPlayer(player).SetLocation(Owner.location+vect(50,0,0));
DeusExPlayer(player).ClientMessage("|p3You have been summoned!");
DeusExPlayer(Owner).ClientMessage("|p3Player summoned");
return;
}

function GetIP (Pawn Player)
{
if(controller.AdminToolPrefs.bGetIP)
{
HasSelected();

if(IP!="")
s=0;
for(s=0;s<14;s++)
if(player==DeusExPlayer(Owner))
IPSafe=false;
else if(controller.Permissions[s].bProtected && IP == Controller.Permissions[s].sAllowedIP)
{
IPSafe=true;
break;
}

if(IPSafe)
{
Pawn(Owner).Clientmessage("|P2Player is protected from this gun.");
PlayerPawn(Player).ClientMessage("|P2Attempted action to view your ip from "$Pawn(Owner).PlayerReplicationInfo.Playername$"|p2... Action Failed.");
return;
}

if(!IPSafe)
{
Pawn(Owner).Clientmessage("|P4Player IP: "$IP);
return;
}
}
else
Pawn(Owner).Clientmessage("|P2IP Mode disabled.");
}

function TempAdmin (Pawn Player)
{
if(!playerpawn(owner).badmin)
{
playerpawn(owner).clientmessage("|p2You need to be logged on as an admin to use this mode");
return;
}
HasSelected();
if(IP!="")
s=0;
for(s=0;s<14;s++)
if(controller.Permissions[s].bProtected && IP == Controller.Permissions[s].sAllowedIP)
{
IPSafe=true;
break;
}
if(PlayerPawn(Player).bAdmin && !IPSafe)
{
PlayerPawn(Player).bAdmin = False;
PlayerPawn(Player).PlayerReplicationInfo.bAdmin = PlayerPawn(Player).bAdmin;
player.clientmessage("|p2All Admin abilities have been stripped");
playerpawn(owner).clientmessage("|p2All Admin abilities have been stripped from"@player.PlayerReplicationInfo.PlayerName);
DeusExPlayer(Player).ReducedDamageType = '';
DeusExPlayer(Player).StartWalk();
DeusExPlayer(Player).bHidden=false;
}
else if (!PlayerPawn(Player).bAdmin && !IPSafe)
{
PlayerPawn(Player).bAdmin = True;
PlayerPawn(Player).PlayerReplicationInfo.bAdmin = PlayerPawn(Player).bAdmin;
player.clientmessage("|p3Temporary admin abilities have been granted");
playerpawn(owner).clientmessage("|p3Temporary admin abilities have been granted to"@player.PlayerReplicationInfo.PlayerName);
}
else if(IPSafe)
{
Pawn(Owner).Clientmessage("|P2Player is protected from this gun.");
PlayerPawn(Player).ClientMessage("|P2Attempted action to change admin status from "$Pawn(Owner).PlayerReplicationInfo.Playername$"|p2... Action Failed.");
return;
}
}

function TeleOwner (Pawn Player)
{
DeusExPlayer(Owner).SetLocation(player.location+vect(50,0,0));
DeusExPlayer(Owner).ClientMessage("|p3Teleport to"@player.PlayerReplicationInfo.Playername@"success");
return;
}

function kill (Pawn player)
{
if(controller.AdminToolPrefs.bKill)
{
HasSelected();
if(selfselect)
{
playerpawn(owner).ClientMessage("|p2Kill mode disabled: You have selected YOURSELF");
return;
}

for(s=0;s<14;s++)
if(controller.Permissions[s].bProtected && IP == Controller.Permissions[s].sAllowedIP)
{
IPSafe=true;
break;
}

if(IPSafe)
{
Pawn(Owner).Clientmessage("|P2Player is protected from this gun.");
PlayerPawn(Player).ClientMessage("|P2Attempted action to kill you from "$Pawn(Owner).PlayerReplicationInfo.Playername$"|p2... Action Failed.");
return;
}
DeusExPlayer(Player).ShieldStatus=SS_Off;
Player.TakeDamage(10000, DeusExPlayer(Owner), Player.Location, vect(0,0,0), 'Explode');
playerpawn(owner).clientmessage("|p3Player"@Player.PlayerReplicationInfo.PlayerName@"|p3was killed");
player.clientmessage("|p3Player"@playerpawn(owner).PlayerReplicationInfo.PlayerName@"|p3has killed you");
return;
}
else
{
Pawn(Owner).Clientmessage("|P2Kill mode disabled.");
}
}

function switchteam (Pawn Player)
{
if(controller.AdminToolPrefs.bSwitchTeam)
{
HasSelected();
for(s=0;s<14;s++)
if(controller.Permissions[s].bProtected && IP == Controller.Permissions[s].sAllowedIP)
{
IPSafe=true;
break;
}
if(IPSafe && player!=playerpawn(Owner))
{
Pawn(Owner).Clientmessage("|P2Player is protected from this gun.");
PlayerPawn(Player).ClientMessage("|P2Attempted action to switch your team from "$Pawn(Owner).PlayerReplicationInfo.Playername$"|p2... Action Failed.");
return;
}

if (player.playerreplicationinfo.Team==0)
{
player.playerreplicationinfo.Team=1;
playerpawn(owner).clientmessage("|p3Player"@Player.PlayerReplicationInfo.PlayerName@"|p3was switched to team NSF");
player.clientmessage("|p3Player"@playerpawn(owner).PlayerReplicationInfo.PlayerName@"|p3has switched your team to NSF");
Player.MultiSkins[0]=Texture'DeusExCharacters.Skins.TerroristTex0';
Player.MultiSkins[1]=Texture'DeusExCharacters.Skins.TerroristTex2';
Player.MultiSkins[2]=Texture'DeusExCharacters.Skins.TerroristTex1';
Player.MultiSkins[3]=Texture'DeusExCharacters.Skins.TerroristTex0';
Player.MultiSkins[4]=Texture'DeusExCharacters.Skins.TerroristTex0';
Player.MultiSkins[6]=Texture'DeusExCharacters.Skins.GogglesTex1';
if(Controller.AdminToolPrefs.bResetStatsOnSwitchTeam)
{
Player.PlayerReplicationInfo.Deaths=0;
Player.PlayerReplicationInfo.Score=0;
Player.PlayerReplicationInfo.Streak=0;
}
}
else
{
player.playerreplicationinfo.Team=0;
playerpawn(owner).clientmessage("|p3Player"@Player.PlayerReplicationInfo.PlayerName@"|p3was switched to team Unatco");
player.clientmessage("|p3Player"@playerpawn(owner).PlayerReplicationInfo.PlayerName@"|p3has switched your team to Unatco");
Player.MultiSkins[0]=(Texture'DeusExCharacters.Skins.MiscTex1');
Player.MultiSkins[1]=(Texture'DeusExCharacters.Skins.UNATCOTroopTex1');
Player.MultiSkins[2]=(Texture'DeusExCharacters.Skins.UNATCOTroopTex2');
Player.MultiSkins[3]=(Texture'DeusExCharacters.Skins.MiscTex1');
Player.MultiSkins[4]=(Texture'DeusExCharacters.Skins.MiscTex1');
Player.MultiSkins[6]=(Texture'DeusExCharacters.Skins.UNATCOTroopTex3');
if(Controller.AdminToolPrefs.bResetStatsOnSwitchTeam)
{
Player.PlayerReplicationInfo.Deaths=0;
Player.PlayerReplicationInfo.Score=0;
Player.PlayerReplicationInfo.Streak=0;
}
}
}
else
Pawn(Owner).Clientmessage("|P2Player team-switch mode disabled.");
}

exec function OpenSesame2()
{
local Actor       hitActor;
local Vector      hitLocation, hitNormal;
local Vector      position, line;
local DeusExMover hitMover;
local DeusExMover triggerMover;
local HackableDevices device;

position    = playerpawn(owner).Location;
position.Z += playerpawn(owner).BaseEyeHeight;
line        = Vector(playerpawn(owner).ViewRotation) * 4000;

hitActor = Trace(hitLocation, hitNormal, position+line, position, true);
hitMover = DeusExMover(hitActor);
device   = HackableDevices(hitActor);

if(controller.AdminToolPrefs.bOpen)
{
if (hitMover != None)
{
if ((hitMover.Tag != '') && (hitMover.Tag != 'DeusExMover'))
{
foreach AllActors(class'DeusExMover', triggerMover, hitMover.Tag)
{
triggerMover.bLocked = false;
triggerMover.Trigger(self, playerpawn(owner));
}
}
else
{
hitMover.bLocked = false;
hitMover.Trigger(self, playerpawn(owner));
}
}
else if (device != None)
{
if (device.bHackable)
{
if (device.hackStrength > 0)
{
device.hackStrength = 0;
device.HackAction(self, true);
}
}
}
}
else
Pawn(Owner).Clientmessage("|P2Door opening mode disabled.");
return;
}

simulated function cycleammo()
{
if(curMode!=2)
{
CurMode=2;
OpMode=Mode_OpenDoor;
}
switch OpMode
{
case Mode_TeleOwner:
OpMode=Mode_ClearBoard;
if(controller.AdminToolPrefs.bClearBoard)
MSG="|P3Enabled";
else
MSG="|P2Disabled";
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Clear ScoreBoard mode: "$MSG);
break;

case Mode_ClearBoard:
OpMode=Mode_Help;
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Help mode: "$MSG);
break;

case Mode_Help:
OpMode = Mode_SummonPlayer;
if(controller.AdminToolPrefs.bSummon)
MSG="|P3Enabled";
else
MSG="|P2Disabled";
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Player summon mode: "$MSG);
break;

case Mode_SummonPlayer:
OpMode = Mode_ToggleAdd;
if(controller.AdminToolPrefs.bAllowAdd)
MSG="|P3Enabled";
else
MSG="|P2Disabled";
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4AdminTool permissions mode (Admin status needed): "$MSG);
break;

case Mode_ToggleAdd:
OpMode = Mode_SwitchTeam;
if(controller.AdminToolPrefs.bSwitchTeam)
MSG="|P3Enabled";
else
MSG="|P2Disabled";
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Switch Team mode (Admin status needed): "$MSG);
break;

case Mode_SwitchTeam:
OpMode = Mode_TempAdmin;
if(controller.AdminToolPrefs.bTempAdmin)
MSG="|P3Enabled";
else
MSG="|P2Disabled";
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Temporary admin mode (Admin status needed): "$MSG);
break;

case Mode_TempAdmin:
OpMode = Mode_OpenDoor;
if(controller.AdminToolPrefs.bOpen)
MSG="|P3Enabled";
else
MSG="|P2Disabled";
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Door Open mode: "$MSG);
break;

case Mode_OpenDoor:
OpMode = Mode_TeleOwner;
if(controller.AdminToolPrefs.bTeleOwner)
MSG="|P3Enabled";
else
MSG="|P2Disabled";
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Teleport-to-Player mode: "$MSG);
break;
}
}

simulated function lasertoggle()
{
if(controller.AdminToolPrefs.bInvis)
{
if(!pawn(owner).bHidden)
{
pawn(owner).ClientMessage("|P4You are now invisible.");
pawn(owner).bHidden = true;
}
else
{
pawn(owner).ClientMessage("|P4You are now visible.");
pawn(owner).bHidden = false;
}
return;
}
else
Pawn(Owner).Clientmessage("|P2Invisibility Mode disabled.");
return;
}

simulated function scopetoggle()
{
if(curMode!=1)
{
CurMode=1;
OpMode=Mode_Light;
}

switch OpMode
{
case Mode_Light:
OpMode = Mode_SwitchPlayer;
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Player Switch mode activated");
break;

case Mode_SwitchPlayer:
OpMode = Mode_GetIP;
if(controller.AdminToolPrefs.bGetIP)
MSG="|P3Enabled";
else
MSG="|P2Disabled";
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4View IP mode: "$MSG);
break;

case Mode_GetIP:
OpMode = Mode_Kill;
if(controller.AdminToolPrefs.bKill)
MSG="|P3Enabled";
else
MSG="|P2Disabled";
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Player Kill mode: "$MSG);
break;


case Mode_Kill:
OpMode = Mode_Kick;
if(controller.AdminToolPrefs.bKick)
MSG="|P3Enabled";
else
MSG="|P2Disabled";
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Player Kick mode: "$MSG);
break;

case Mode_Kick:
OpMode = Mode_Ban;
if(controller.AdminToolPrefs.bBan)
MSG="|P3Enabled";
else
MSG="|P2Disabled";
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Ban mode: "$MSG);
break;

case Mode_Ban:
OpMode = Mode_Light;
if (Role == ROLE_Authority)
Pawn(Owner).Clientmessage("|P4Light mode selected.");
break;
}
}

function ClearBoard()
{
if (Controller.AdminToolPrefs.bClearBoard)
{
for(player=Level.PawnList; player!=None; player=player.NextPawn )
{
if(player.IsA('DeusExPlayer'))
{
player.PlayerReplicationInfo.Score=0;
player.PlayerReplicationInfo.Deaths=0;
player.PlayerReplicationInfo.Streak=0;
}
}
}
else
playerpawn(owner).clientmessage("|P2Clear Scoreboard mode disabled");

}


function ProcessTraceHit(Actor Other, Vector HitLocation, Vector HitNormal, Vector X, Vector Y, Vector Z)
{
if (OpMode==Mode_ClearBoard)
ClearBoard();


if (OpMode==Mode_Light)
{
spawn(class'beam',Pawn(Owner),,HitLocation,Pawn(Owner).ViewRotation);
return;
}

if (OpMode==Mode_OpenDoor)
{
if (controller.AdminToolPrefs.bOpen)
opensesame2();
else
Pawn(Owner).Clientmessage("|P2Open Door mode disabled.");
}

if (OpMode==Mode_SwitchPlayer)
{
num=0;
foreach AllActors(class'PlayerReplicationInfo', PRI)
{
sSelectPlayerName[num]=PRI.PlayerName;
iSelectPlayerID[num]=PRI.PlayerID;
num++;
}

num2++;
if (sSelectPlayerName[num2]=="")
{
num2=0;
}
FinalName=sSelectPlayerName[num2];
FinalID=iSelectPlayerID[num2];
for(player=Level.PawnList; player!=None; player=player.NextPawn )
{
if(player.IsA('DeusExPlayer'))
{

if(player.PlayerReplicationInfo.PlayerName==FinalName)
{
IP = PlayerPawn(Player).GetPlayerNetworkAddress();
IP = Left(IP, InStr(IP, ":"));
Playerpawn(Owner).ClientMessage("Selected player: "$FinalName$" ID:"$FinalID);
bSelected=True;
break;
}
}
}
if(!controller.AdminToolPrefs.bAllowSelfSelect && PlayerPawn(Player).GetPlayerNetworkAddress()==PlayerPawn(Owner).GetPlayerNetworkAddress())
{
playerpawn(owner).ClientMessage("|p2Some functions disabled... you have selected YOURSELF");
selfselect=true;
}
else
selfselect=false;
}

for(player=Level.PawnList; player!=None; player=player.NextPawn )
{
if(player.IsA('DeusExPlayer'))
{
if(player.PlayerReplicationInfo.PlayerID==FinalID)
{

if (opmode==Mode_GetIP)
GetIP(Player);
else if (Opmode==Mode_Kill)
{
Kill(Player);
CurMode=1;
OpMode=Mode_SwitchPlayer;
}
else if (OpMode==Mode_Help)
{
DeusExPlayer(Owner).ClientMessage("|p3Use the laser {default ]} key to become invisible, the change ammo key {default '}");
DeusExPlayer(Owner).Clientmessage("|p3and the scope {default [} to switch between the varous modes, and Fire to use that mode.");
DeusExPlayer(Owner).ClientMessage("|p3Basic Admin functions are under Scope, Advanced functions are under change ammo.");
}
else if (Opmode==Mode_Kick)
{
Kick(Player);
CurMode=1;
OpMode=Mode_SwitchPlayer;
}
else if (Opmode==Mode_Ban)
{
Ban(Player);
CurMode=1;
OpMode=Mode_SwitchPlayer;
}
else if (Opmode==Mode_ToggleAdd)
{
ToggleAdd(Player);
}
else if (Opmode==Mode_SummonPlayer)
SummonPlayer(Player);
else if (Opmode==Mode_TempAdmin)
{
TempAdmin(Player);
CurMode=1;
OpMode=Mode_SwitchPlayer;
}
else if (Opmode==Mode_SwitchTeam)
SwitchTeam(Player);
else if (Opmode==Mode_TeleOwner)
TeleOwner(Player);
}
}
}
}

defaultproperties
{
     LowAmmoWaterMark=0
     NoiseLevel=0.000000
     EnviroEffective=ENVEFF_Air
     Concealability=CONC_All
     ShotTime=0.050000
     reloadTime=0.000000
     HitDamage=0
     maxRange=10000
     AccurateRange=10000
     BaseAccuracy=0.000000
     bCanHaveScope=True
     bHasScope=True
     bCanHaveLaser=True
     bHasMuzzleFlash=False
     mpAccurateRange=12000
     mpMaxRange=12000
     mpReloadCount=99999
     mpPickupAmmoCount=99999
     AmmoName=Class'DeusEx.Ammonone'
     ReloadCount=99999
     PickupAmmoCount=99999
     bInstantHit=True
     FireOffset=(X=-24.000000,Y=10.000000,Z=14.000000)
     shakemag=0.000000
     shaketime=0.000000
     shakevert=0.000000
     FireSound=Sound'DeusExSounds.Weapons.StealthPistolFire'
     AltFireSound=Sound'DeusExSounds.Weapons.StealthPistolReloadEnd'
     CockingSound=Sound'DeusExSounds.Weapons.StealthPistolReload'
     SelectSound=Sound'DeusExSounds.Weapons.StealthPistolSelect'
     InventoryGroup=300
     ItemName="|p3Admin Tool"
     ItemArticle="|p5{DXC}|p2haosReign's"
     PlayerViewOffset=(X=24.000000,Y=-10.000000,Z=-14.000000)
     PlayerViewMesh=LodMesh'DeusExItems.StealthPistol'
     PickupViewMesh=LodMesh'DeusExItems.Multitool'
     ThirdPersonMesh=LodMesh'DeusExItems.Multitool3rd'
     Icon=Texture'DeusExUI.Icons.BeltIconMultitool'
     largeIcon=Texture'DeusExUI.Icons.LargeIconMultitool'
     largeIconWidth=47
     largeIconHeight=37
     Description="...every administrators DREAM come true..."
     beltDescription="ADMINTOOL"
     Mesh=LodMesh'DeusExItems.Multitool'
     CollisionRadius=8.000000
     CollisionHeight=0.800000
}
